# DecisionRules

decisionRules

## list DecisionRule (master: default)

> Represents a rule, defining conditions and actions logic.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"rule.default":{"title":"Decision Rule (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditions":{"type":"array","items":{"$ref":"#/components/schemas/ruleCondition"}},"ruleActions":{"type":"array","items":{"$ref":"#/components/schemas/ruleAction"}}}},"ruleCondition":{"title":"Rule Condition","type":"object","properties":{"_entity":{"type":"string","default":"ruleCondition"},"ruleId":{"type":"string"},"conditionSeqId":{"type":"string"},"conditionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"operator":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditionType":{"$ref":"#/components/schemas/enums"}}},"enums":{"title":"Enumeration","type":"object","properties":{"_entity":{"type":"string","default":"enums"},"enumId":{"type":"string"},"enumTypeId":{"type":"string"},"parentEnumId":{"type":"string"},"enumCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"optionValue":{"type":"string"},"optionIndicator":{"type":"string"},"relatedEnumId":{"type":"string"},"relatedEnumTypeId":{"type":"string"},"statusFlowId":{"type":"string"},"enumName":{"type":"string"},"primaryEnumerationGroupId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"ruleAction":{"title":"Rule Action","type":"object","properties":{"_entity":{"type":"string","default":"ruleAction"},"ruleId":{"type":"string"},"actionSeqId":{"type":"string"},"actionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleActionType":{"$ref":"#/components/schemas/enums"}}}}},"paths":{"/decisionRules":{"get":{"tags":["decisionRules"],"summary":"list DecisionRule (master: default)","description":"Represents a rule, defining conditions and actions logic.","parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"ruleId","in":"query","required":false,"description":"Unique identifier for the rule."},{"schema":{"type":"string","format":""},"name":"ruleGroupId","in":"query","required":false,"description":"Unique identifier for the rule group."},{"schema":{"type":"string","format":""},"name":"ruleName","in":"query","required":false,"description":"Name of the rule."},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":"Status of the rule."},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":"Sequence number for ordering."},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":"Date and time when the rule was created."},{"schema":{"type":"string","format":""},"name":"createdByUser","in":"query","required":false,"description":"User login ID of the creator."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/rule.default"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store DecisionRule

> Represents a rule, defining conditions and actions logic.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"rule.PK":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule.PK"},"ruleId":{"type":"string"}}},"rule":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/decisionRules":{"post":{"tags":["decisionRules"],"summary":"store DecisionRule","description":"Represents a rule, defining conditions and actions logic.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rule.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rule"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/rule"}}},"required":false}}}}}
```

## one DecisionRule (master: default)

> Represents a rule, defining conditions and actions logic.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"rule.default":{"title":"Decision Rule (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditions":{"type":"array","items":{"$ref":"#/components/schemas/ruleCondition"}},"ruleActions":{"type":"array","items":{"$ref":"#/components/schemas/ruleAction"}}}},"ruleCondition":{"title":"Rule Condition","type":"object","properties":{"_entity":{"type":"string","default":"ruleCondition"},"ruleId":{"type":"string"},"conditionSeqId":{"type":"string"},"conditionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"operator":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditionType":{"$ref":"#/components/schemas/enums"}}},"enums":{"title":"Enumeration","type":"object","properties":{"_entity":{"type":"string","default":"enums"},"enumId":{"type":"string"},"enumTypeId":{"type":"string"},"parentEnumId":{"type":"string"},"enumCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"optionValue":{"type":"string"},"optionIndicator":{"type":"string"},"relatedEnumId":{"type":"string"},"relatedEnumTypeId":{"type":"string"},"statusFlowId":{"type":"string"},"enumName":{"type":"string"},"primaryEnumerationGroupId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"ruleAction":{"title":"Rule Action","type":"object","properties":{"_entity":{"type":"string","default":"ruleAction"},"ruleId":{"type":"string"},"actionSeqId":{"type":"string"},"actionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleActionType":{"$ref":"#/components/schemas/enums"}}}}},"paths":{"/decisionRules/{ruleId}":{"get":{"tags":["decisionRules"],"summary":"one DecisionRule (master: default)","description":"Represents a rule, defining conditions and actions logic.","parameters":[{"schema":{"type":"string"},"name":"ruleId","in":"path","required":true,"description":"Unique identifier for the rule."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rule.default"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store DecisionRule (master: default)

> Represents a rule, defining conditions and actions logic.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"rule.default.PK":{"title":"Decision Rule (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"rule.PK"},"ruleId":{"type":"string"}}},"rule.default":{"title":"Decision Rule (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditions":{"type":"array","items":{"$ref":"#/components/schemas/ruleCondition"}},"ruleActions":{"type":"array","items":{"$ref":"#/components/schemas/ruleAction"}}}},"ruleCondition":{"title":"Rule Condition","type":"object","properties":{"_entity":{"type":"string","default":"ruleCondition"},"ruleId":{"type":"string"},"conditionSeqId":{"type":"string"},"conditionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"operator":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleConditionType":{"$ref":"#/components/schemas/enums"}}},"enums":{"title":"Enumeration","type":"object","properties":{"_entity":{"type":"string","default":"enums"},"enumId":{"type":"string"},"enumTypeId":{"type":"string"},"parentEnumId":{"type":"string"},"enumCode":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"description":{"type":"string"},"optionValue":{"type":"string"},"optionIndicator":{"type":"string"},"relatedEnumId":{"type":"string"},"relatedEnumTypeId":{"type":"string"},"statusFlowId":{"type":"string"},"enumName":{"type":"string"},"primaryEnumerationGroupId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}},"ruleAction":{"title":"Rule Action","type":"object","properties":{"_entity":{"type":"string","default":"ruleAction"},"ruleId":{"type":"string"},"actionSeqId":{"type":"string"},"actionTypeEnumId":{"type":"string"},"fieldName":{"type":"string"},"fieldValue":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"ruleActionType":{"$ref":"#/components/schemas/enums"}}}}},"paths":{"/decisionRules/{ruleId}":{"post":{"tags":["decisionRules"],"summary":"store DecisionRule (master: default)","description":"Represents a rule, defining conditions and actions logic.","parameters":[{"schema":{"type":"string"},"name":"ruleId","in":"path","required":true,"description":"Unique identifier for the rule."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rule.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/rule.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/rule.default"}}},"required":false}}}}}
```

## delete RuleCondition

> Defines conditions used in rules.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleCondition.PK":{"title":"Rule Condition","type":"object","properties":{"_entity":{"type":"string","default":"ruleCondition.PK"},"ruleId":{"type":"string"},"conditionSeqId":{"type":"string"}}}}},"paths":{"/decisionRules/{ruleId}/conditions":{"delete":{"tags":["decisionRules"],"summary":"delete RuleCondition","description":"Defines conditions used in rules.","parameters":[{"schema":{"type":"string"},"name":"ruleId","in":"path","required":true,"description":"Unique identifier for the rule."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleCondition.PK"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ruleCondition.PK"}}},"required":false}}}}}
```

## delete RuleAction

> Specifies actions to be performed when a rule is triggered during processing.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"decisionRules","description":"decisionRules"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleAction.PK":{"title":"Rule Action","type":"object","properties":{"_entity":{"type":"string","default":"ruleAction.PK"},"ruleId":{"type":"string"},"actionSeqId":{"type":"string"}}}}},"paths":{"/decisionRules/{ruleId}/actions":{"delete":{"tags":["decisionRules"],"summary":"delete RuleAction","description":"Specifies actions to be performed when a rule is triggered during processing.","parameters":[{"schema":{"type":"string"},"name":"ruleId","in":"path","required":true,"description":"Unique identifier for the rule."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleAction.PK"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ruleAction.PK"}}},"required":false}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/available-to-promise/decisionrules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
